Debian Bug report logs - #708150
pommed: please add support for MacBookPro9,1

version graph

Package: pommed; Maintainer for pommed is Debian Mactel <pkg-mactel-devel@lists.alioth.debian.org>; Source for pommed is src:pommed.

Reported by: Thibaut Paumard <thibaut@debian.org>

Date: Mon, 13 May 2013 15:12:02 UTC

Severity: wishlist

Tags: patch

Found in version pommed/1.39~dfsg-2

Fixed in version pommed/1.39~dfsg-3

Done: Nobuhiro Iwamatsu <iwamatsu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, thibaut@debian.org, Julien BLACHE <jblache@debian.org>:
Bug#708150; Package pommed. (Mon, 13 May 2013 15:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thibaut Paumard <thibaut@debian.org>:
New Bug report received and forwarded. Copy sent to thibaut@debian.org, Julien BLACHE <jblache@debian.org>. (Mon, 13 May 2013 15:12:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thibaut Paumard <thibaut@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pommed: please add support for MacBookPro9,1
Date: Mon, 13 May 2013 17:10:05 +0200
Package: pommed
Version: 1.39~dfsg-2+b1
Severity: wishlist

Dear pommed maintainers,

Can you add support for the MacBookPro9,1? Please tell me how I can help.

Kind regards, Thibaut Paumard.



-- System Information:
Debian Release: 7.0
  APT prefers stable
  APT policy: (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.8-trunk-amd64 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages pommed depends on:
ii  eject          2.1.5+deb1+cvs20081104-13
ii  libasound2     1.0.25-4
ii  libaudiofile1  0.3.4-2
ii  libc6          2.13-38
ii  libconfuse0    2.7-4
ii  libdbus-1-3    1.6.8-1
ii  libpci3        1:3.1.9-6

Versions of packages pommed recommends:
ii  dbus  1.6.8-1

pommed suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Julien BLACHE <jblache@debian.org>:
Bug#708150; Package pommed. (Wed, 15 May 2013 12:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thibaut Paumard <thibaut@debian.org>:
Extra info received and forwarded to list. Copy sent to Julien BLACHE <jblache@debian.org>. (Wed, 15 May 2013 12:30:04 GMT) Full text and rfc822 format available.

Message #10 received at 708150@bugs.debian.org (full text, mbox):

From: Thibaut Paumard <thibaut@debian.org>
To: 708150@bugs.debian.org, Debian BTS control <control@bugs.debian.org>
Subject: re (patch): pommed: please add support for MacBookPro9,1
Date: Wed, 15 May 2013 14:21:55 +0200
[Message part 1 (text/plain, inline)]
package pommed
tag 708150 +patch
thanks

Hi,

Here comes a patch. Not sure how to test every feature, but I can adjust
the LCD backlight with it (the keyboard backlight and sound volume
worked without it anyway).

Notes:

 - I need mouseemu, else the keyboard keys won't change the backlight
brightness. May be related to running GNOME 3. Drawback of running
mouseemu: the Caps Lock LED won't budge.

 - I had to modify pommed.conf to get the brightness to be adjusted by a
significant amount as max_brightness is enourmous (82311!). Maybe the
step should be scaled relative to max_brightness? Excerpt from my
pommed.conf:

lcd_sysfs {
        init = -1
        step = 1000
        on_batt = 4000
}

Regards, Thibaut.
[MacBookPro91.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) patch. Request was from Thibaut Paumard <thibaut@debian.org> to control@bugs.debian.org. (Wed, 15 May 2013 12:30:22 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Nobuhiro Iwamatsu <iwamatsu@nigauri.org> to control@bugs.debian.org. (Tue, 09 Jul 2013 04:03:05 GMT) Full text and rfc822 format available.

Reply sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
You have taken responsibility. (Wed, 10 Jul 2013 06:06:17 GMT) Full text and rfc822 format available.

Notification sent to Thibaut Paumard <thibaut@debian.org>:
Bug acknowledged by developer. (Wed, 10 Jul 2013 06:06:18 GMT) Full text and rfc822 format available.

Message #19 received at 708150-close@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: 708150-close@bugs.debian.org
Subject: Bug#708150: fixed in pommed 1.39~dfsg-3
Date: Wed, 10 Jul 2013 06:03:03 +0000
Source: pommed
Source-Version: 1.39~dfsg-3

We believe that the bug you reported is fixed in the latest version of
pommed, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 708150@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nobuhiro Iwamatsu <iwamatsu@debian.org> (supplier of updated pommed package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 09 Jul 2013 11:25:35 +0900
Source: pommed
Binary: pommed gpomme wmpomme
Architecture: source amd64
Version: 1.39~dfsg-3
Distribution: unstable
Urgency: low
Maintainer: Debian Mactel <pkg-mactel-devel@lists.alioth.debian.org>
Changed-By: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Description: 
 gpomme     - graphical client for pommed
 pommed     - Apple laptops hotkeys event handler
 wmpomme    - WindowMaker dockapp client for pommed
Closes: 676948 688529 708150
Changes: 
 pommed (1.39~dfsg-3) unstable; urgency=low
 .
   * Update debian/control.
     -  Change Maintainer field and Add Uploaders field. (Closes: #688529)
        Maintainer: Debian Mactel <pkg-mactel-devel@lists.alioth.debian.org>
        Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
     - Bump Standard Version: 3.9.4
     - Update debhelper to 9.
   * Update debian/compat to 9.
   * Update debian/rules.
     - Convert to dh.
   * Add patches/MacBookPro91.patch. Support Macbook Pro 9,1. (Closes: #708150)
   * Add patches/0001-rely-on-sys-inotify.h-for-inotify-support.patch.
     Update inotify support. (Closes: #676948)
   * Update debian/copyright to DEP5.
Checksums-Sha1: 
 22c335643a8deb4310341f7216f8d942d3ff8bd4 2038 pommed_1.39~dfsg-3.dsc
 2bae46aa89a254d2f355713a367d4dcae39bf12d 10775 pommed_1.39~dfsg-3.debian.tar.gz
 d6ca224f3426f1303c4f97d93d717c7e9ba64cba 61338 pommed_1.39~dfsg-3_amd64.deb
 d1d39ea240dec4e7acd10a244ea222a0351deb48 345322 gpomme_1.39~dfsg-3_amd64.deb
 2cc5e6cfa1f9155f800b7a862b590f70be16b5fc 32016 wmpomme_1.39~dfsg-3_amd64.deb
Checksums-Sha256: 
 9aaf4bb1dfc8729ff9294844d2a27a764ab8f8b8e3e8d9c917bce18e1e6e6cc1 2038 pommed_1.39~dfsg-3.dsc
 0e905253df56a3715ca2c01347477cef568eac7dce81742a62e4c428806152f2 10775 pommed_1.39~dfsg-3.debian.tar.gz
 63cfb99c2078af519ac313e8a7ca1739414ce444b8ee89a5ffe2c648683e4d7a 61338 pommed_1.39~dfsg-3_amd64.deb
 01a635d70d35cf651932e1ad5fd025e6d98cd459f512ba2041d88fa06cd8b3ed 345322 gpomme_1.39~dfsg-3_amd64.deb
 4bff98c5713434beb91895724a23f3ca0182ccdcce38c0aa5026536fd81208e4 32016 wmpomme_1.39~dfsg-3_amd64.deb
Files: 
 adcac8fc7ec8e5f6006239fe6d79e926 2038 utils optional pommed_1.39~dfsg-3.dsc
 f94309938412aea80ddc3991ed064972 10775 utils optional pommed_1.39~dfsg-3.debian.tar.gz
 fdf44cd83514dd5c75bc352148ad1310 61338 utils optional pommed_1.39~dfsg-3_amd64.deb
 fc855dbe37e9d4d30d37c3c9012a2f21 345322 utils optional gpomme_1.39~dfsg-3_amd64.deb
 b2154d8ff8797e945b3d5eb370c0d7f9 32016 utils optional wmpomme_1.39~dfsg-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJR3PVXAAoJEDIkf7tArR+meqoP/1m28GWWrZasfuaSxHv30Iir
+DdCckxPcjT4DA2cpqWHdlnyMdASFXM9n/gwMAH37jCD29Ah90MEyOoo1eqMSjsH
USLmu9CRM9z3rzv8qvqgUaVpGEHZ8lITHEHO7QgKXG9IDrzsNNfC1dO5Rs2DQq0g
/WYPwRvQQtlGxRTjHCbDlq+6QKHs5id8wqGwubY46HGhRll7EQUD5fuvjcQ3WojV
4YwZ6nQtot3irE3b+3nmhpsX1PBpXjTwCui6Z6BKzU0v4fWT5RZW4o6RZ4Vaee46
EG5kdPXIxp+PMcdKdpVKdKnZ8VdfMzTMdkR/58qOEsD5XSguzqOtToExtb4xuUuW
GCg/KSTxt7wMH3JwiiX77vUNYC9Af/m2assUvg8Es1CAsjJhlpoM+nP5AEm5tB84
uHsCN2aZDC7Z/ltld3y3xV6k6ct9XM+Mrxg00jer3HOKiqkmxArn/ihSVeAFFUAM
ZQ04WUEzghCaOHSbZoEv6iTv4icaxnoU4yfE5FoO8zQlmZmMH66+E5nf8BIATw3p
TIQojZh1ZG+sLlEgPCCMxrHcmDX/zfvtYq3iaVPV/unIZoX8s7A1iFz1X/bP74uw
ROmMH7kKA8Z+ZLPq4YWKEAzU01Mh2AGhle7Yb7cUQ7HpwasJLWyzV0/B+WulWU7n
diFRVDLoFimrZ71UE47I
=GH7r
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Aug 2013 07:33:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:34:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.